Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517398 - [abrt] feedreader: malloc(): feedreader killed by SIGSEGV
Summary: [abrt] feedreader: malloc(): feedreader killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: feedreader
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:623012732be5516704c5a41cb14...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 20:43 UTC by jdfm
Modified: 2018-11-30 18:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:27:17 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: cgroup (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: core_backtrace (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: cpuinfo (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: dso_list (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: environ (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: exploitable (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: limits (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: maps (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: mountinfo (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: open_fds (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: proc_pid_status (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details
File: var_log_messages (deleted)
2017-11-24 20:44 UTC, jdfm
no flags Details

Description jdfm 2017-11-24 20:43:54 UTC
Description of problem:
I started FeedReader, and clicked on Local RSS from the first list that is presented to me.

Version-Release number of selected component:
feedreader-2.0.2-1.fc26

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        feedreader
crash_function: malloc
executable:     /usr/bin/feedreader
journald_cursor: s=890623c7e3fa421d80dfbb0dbf8e8b83;i=46cb6;b=0e46d6cc1b1249c8a1bf4cce0aeacf7f;m=54c0148b7;t=55ebfaeca2455;x=33be4bff9b665166
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 malloc
 #1 g_malloc at gmem.c:94
 #2 g_strdup at gstrfuncs.c:363
 #3 g_get_filename_charsets at gconvert.c:1030
 #4 g_filename_display_name at gconvert.c:1813
 #5 g_set_io_error at glocalfile.c:975
 #6 g_local_file_make_directory at glocalfile.c:2255
 #7 g_file_make_directory_with_parents at gfile.c:3770
 #8 feed_reader_utils_downloadIcon at /usr/src/debug/FeedReader-2.0.2/src/Utils.vala:431
 #9 __lambda5_ at /usr/src/debug/FeedReader-2.0.2/plugins/backend/local/SuggestedFeedRow.vala:153

Comment 1 jdfm 2017-11-24 20:44:01 UTC
Created attachment 1358776 [details]
File: backtrace

Comment 2 jdfm 2017-11-24 20:44:04 UTC
Created attachment 1358777 [details]
File: cgroup

Comment 3 jdfm 2017-11-24 20:44:07 UTC
Created attachment 1358778 [details]
File: core_backtrace

Comment 4 jdfm 2017-11-24 20:44:09 UTC
Created attachment 1358779 [details]
File: cpuinfo

Comment 5 jdfm 2017-11-24 20:44:11 UTC
Created attachment 1358780 [details]
File: dso_list

Comment 6 jdfm 2017-11-24 20:44:12 UTC
Created attachment 1358781 [details]
File: environ

Comment 7 jdfm 2017-11-24 20:44:14 UTC
Created attachment 1358782 [details]
File: exploitable

Comment 8 jdfm 2017-11-24 20:44:16 UTC
Created attachment 1358783 [details]
File: limits

Comment 9 jdfm 2017-11-24 20:44:18 UTC
Created attachment 1358784 [details]
File: maps

Comment 10 jdfm 2017-11-24 20:44:20 UTC
Created attachment 1358785 [details]
File: mountinfo

Comment 11 jdfm 2017-11-24 20:44:21 UTC
Created attachment 1358786 [details]
File: open_fds

Comment 12 jdfm 2017-11-24 20:44:23 UTC
Created attachment 1358787 [details]
File: proc_pid_status

Comment 13 jdfm 2017-11-24 20:44:25 UTC
Created attachment 1358788 [details]
File: var_log_messages

Comment 14 Ben Cotton 2018-11-27 18:02:25 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 18:27:17 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.